Skip to navigation

Get form details

View as Markdown
Returns details about a specific form, such as the date it was created and last updated, the number of pages, the form owner, and other information.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

formIdstringRequiredformat: "uuid"
The ID of the form.
accountIdstringRequired

The globally unique identifier (GUID) for the account.

Response

Form based on FormId
formIdstringOptionalRead-onlyformat: "uuid"

The ID of the form.

Example: 5be324eb-xxxx-xxxx-xxxx-208065181be9

namestringOptionalRead-only

The name of the form.

Example: MORe Private Network Addendum

createdDatedatetimeOptionalRead-only

The UTC date and time when the item was created. This is a read-only value that the service assigns.

Example: 2019-07-17T17:45:42.783Z

lastUpdatedDatedatetimeOptionalRead-only

The UTC date and time when the item was last updated. This is a read-only value that the service assigns.

Example: 2019-07-17T17:45:42.783Z

availableOnDatedatetimeOptionalRead-only

The UTC DateTime when the form was made available or published. (It is possible for a form to be published but not yet available.)

ownerNamestringOptionalRead-only

The name of the organization that owns the form.

Example: Mainstreet organization of Realtors

versionstringOptionalRead-only

The version of the form.

Example: 1

numberOfPagesintegerOptionalRead-only

The number of pages in the form.

Example: 2

Errors

400
Bad Request Error
401
Unauthorized Error